package com.zcloud.personnel.positioning.domain.gateway;

import com.zcloud.personnel.positioning.domain.model.AlarmRuleFenceRelE;

/**
 * web-domain
 *
 * @Author fangjiakai
 * @Date 2026-07-07
 */
public interface AlarmRuleFenceRelGateway {
    Boolean add(AlarmRuleFenceRelE alarmRuleFenceRelE);

    Boolean update(AlarmRuleFenceRelE alarmRuleFenceRelE);

    Boolean deletedAlarmRuleFenceRelById(Long id);

    Boolean deletedAlarmRuleFenceRelByIds(Long[] ids);
}
